Description

Subnet field was and is (in 6.2) required field for Managed and/or Provision interfaces. It defines whether to use DHCP or Static

configuration for Managed interface and defines other required services for Provision interface like Puppet Master/CA, TFTP,

Reverse DNS and Discovery. These are essential associations which are made through Subnet, for this reason this is mandatory

field and we unlikely change that.

For unmanaged (non-provision) interfaces it should be technically possible not to require Subnet field, but we don't support that. I

was under impression that version 6.2 supports that, but that was not the case. But if I understand customer requirements correctly,

in both cases they would like to have the field optional for Provision interfaces.

While it might be tempting to do a workaround by creating a "fake" Subnet(s), I'd not recommend that. If subnet address and netmask

does not match, Satellite will be unable to find the subnet for particular IP address (e.g. discovery finds Capsule for communication).

This is a tracking ticket to make subnet an optional field.

Related issues:

Related to Foreman - Bug #19583: "Please select" for blank value in Subnet dr... Closed 05/18/2017

History

#1 - 05/23/2016 05:29 AM - Dominic Cleal

- Status changed from New to Need more information

Subnet is optional for both provisioning and non-provisioning interfaces. Orchestration modules may simply disable themselves when it isn't present.

Can you supply relevant logs please from Foreman 1.11 if you're getting a validation error?  I don't see any validation in Foreman that requires it, and

I'm able to create hosts without it.

#2 - 05/17/2017 03:42 PM - Anonymous

- Status changed from Need more information to Resolved

no reaction, closing. I can't view that BZ.

#3 - 05/18/2017 03:32 AM - Lukas Zapletal

Right, when you select domain, subnet is automatically selected it there is one associated, but the dropdown can be switched back to "Please select"

which is blank value. I tested this with one or two subnets, all works just fine. It was just confusing, instead Please select we should perhaps do Blank

or Not set. Created #19583

#4 - 05/18/2017 03:33 AM - Lukas Zapletal

- Related to Bug #19583: "Please select" for blank value in Subnet dropdown is misleading added
